package com.jasamedika.medifirst2000.vo;

import java.util.Date;

import javax.persistence.*;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;

import javax.validation.constraints.NotNull;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 * class PersetujuanUmumVOVO
 * 
 * @author Generator
 */
public class PersetujuanUmumVO extends MedicalRecordTransactionVO {
	
	private RegistrasiPelayananPasienVO noMasukTujuan;
	
	@ManyToOne
	@JoinColumn(name = "RuanganTujuanFk")
	//@NotNull(message = "Ruangan Tujuan Harus Diisi")
	@Caption(value = "Ruangan Tujuan")
	private RuanganVO ruanganTujuan;

	public RuanganVO getRuanganTujuan() {
		return ruanganTujuan;
	}

	public void setRuanganTujuan(RuanganVO ruanganTujuan) {
		this.ruanganTujuan = ruanganTujuan;
	}

	@Column(name = "RuanganTujuanFk", insertable = false, updatable = false,nullable=true)
	private String ruanganTujuanId;

	@ManyToOne
	@JoinColumn(name = "KelasPerawatanFk")
	@NotNull(message = "Kelas Perawatan Harus Diisi")
	@Caption(value = "Kelas Perawatan")
	private KelasVO kelasPerawatan;

	public KelasVO getKelasPerawatan() {
		return kelasPerawatan;
	}

	public void setKelasPerawatan(KelasVO kelasPerawatan) {
		this.kelasPerawatan = kelasPerawatan;
	}

	@Column(name = "KelasPerawatanFk", insertable = false, updatable = false)
	private String kelasPerawatanId;

	private String tglRencana;

	public String getTglRencana() {
		return tglRencana;
	}

	public void setTglRencana(String tglRencana) {
		this.tglRencana = tglRencana;
	}

	@ManyToOne
	@JoinColumn(name = "JenisPembayaranFk")
	@NotNull(message = "Jenis Pembayaran Harus Diisi")
	@Caption(value = "Jenis Pembayaran")
	private KelompokPasienVO jenisPembayaran;

	public KelompokPasienVO getJenisPembayaran() {
		return jenisPembayaran;
	}

	public void setJenisPembayaran(KelompokPasienVO jenisPembayaran) {
		this.jenisPembayaran = jenisPembayaran;
	}

	public RegistrasiPelayananPasienVO getNoMasukTujuan() {
		return noMasukTujuan;
	}

	public void setNoMasukTujuan(RegistrasiPelayananPasienVO noMasukTujuan) {
		this.noMasukTujuan = noMasukTujuan;
	}

	@Column(name = "JenisPembayaranFk", insertable = false, updatable = false)
	private String jenisPembayaranId;

}